Subject: iscsi related softlockup (3.0 rc3)

From: Dave Jones <[email-masked]>
Date: Mon, 20 Jun 2011 16:00:59 -0400

I made some changes to my syscall fuzzer as it hasn't been turning up anything
interesting since the last lot of problems got fixed.  I seem to have found
a way to get iscsi really confused, to the point that the soft-lockup detector
kicks in, and then the rcu stall detector.

http://davej.fedorapeople.org/iscsi-lockup.txt is the dmesg from the box.
sysrq was working, but I couldn't ssh into the box, or even log in on the console.
I had ssh sessions already logged into the box which were completely wedged.

I don't have any iscsi setup configured on this machine, the fuzzer just hit upon
that protocol randomly.  If it wasn't for the fact that the machine wedged I wouldn't
be overly concerned, but it seems that something got into a state that just consumed
all cpu time.

	Dave